<?php

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

// AJAX

add_action( 'wp_ajax_nnr_rp_shortcode_increment', 			array('NNRobots_Recent_Posts_Core', 'shortcodeIncrement'));
add_action( 'wp_ajax_nopriv_nnr_rp_shortcode_increment',	array('NNRobots_Recent_Posts_Core', 'shortcodeIncrement'));

class NNRobots_Recent_Posts_Core {

	/**
	 * Adds 1 to the shortcode counter everytime someone clicks the insert shortcode button
	 *
	 * @access public
	 * @static
	 * @return void
	 */
	static function shortcodeIncrement() {

		$shortcode_counter = get_option(NNRobots_Recent_Posts::$prefix . 'shortcode_counter');

		if ($shortcode_counter === false) {
	   		$shortcode_counter = 1;
    	}

    	$shortcode_counter++;

    	update_option(NNRobots_Recent_Posts::$prefix . 'shortcode_counter', $shortcode_counter);

    	echo $shortcode_counter;
    	die();
	}
}